UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | List of all members
uhd::atomic_uint32_t Class Reference

A 32-bit integer that can be atomically accessed. More...

`#include <atomic.hpp>`

## Public Member Functions
UHD_INLINE | atomic_uint32_t (void)
| Create a new atomic 32-bit integer, initialized to zero. More...
UHD_INLINE boost::uint32_t | cas (boost::uint32_t newval, boost::uint32_t cmp)
| Compare with cmp, swap with newval if same, return old value. More...
UHD_INLINE void | write (const boost::uint32_t newval)
| Sets the atomic integer to a new value. More...
UHD_INLINE boost::uint32_t | read (void)
| Gets the current value of the atomic integer. More...
UHD_INLINE boost::uint32_t | inc (void)
| Increment by 1 and return the old value. More...
UHD_INLINE boost::uint32_t | dec (void)
| Decrement by 1 and return the old value. More...

## Detailed Description

A 32-bit integer that can be atomically accessed.

## Constructor & Destructor Documentation

UHD_INLINE uhd::atomic_uint32_t::atomic_uint32_t | ( | void |  | ) |
| inline

Create a new atomic 32-bit integer, initialized to zero.

## Member Function Documentation

UHD_INLINE boost::uint32_t uhd::atomic_uint32_t::cas | ( | boost::uint32_t | newval,
|  | boost::uint32_t | cmp
| ) |  |
| inline

Compare with cmp, swap with newval if same, return old value.

UHD_INLINE boost::uint32_t uhd::atomic_uint32_t::dec | ( | void |  | ) |
| inline

Decrement by 1 and return the old value.

UHD_INLINE boost::uint32_t uhd::atomic_uint32_t::inc | ( | void |  | ) |
| inline

Increment by 1 and return the old value.

UHD_INLINE boost::uint32_t uhd::atomic_uint32_t::read | ( | void |  | ) |
| inline

Gets the current value of the atomic integer.

UHD_INLINE void uhd::atomic_uint32_t::write | ( | const boost::uint32_t | newval | ) |
| inline

Sets the atomic integer to a new value.

The documentation for this class was generated from the following file:

- include/uhd/utils/atomic.hpp